aboutsummaryrefslogtreecommitdiffstats
path: root/main/ocfs2-tools
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2012-02-03 07:56:35 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2012-02-03 07:56:50 +0000
commit631cd76a08a90fe22ccf064ee1cb38c73db482d7 (patch)
tree4ab016198b9828299a9a5a6e0fb7c944eeb52960 /main/ocfs2-tools
parentebd7f2afcb4bc579646fb40480c87de393eb8682 (diff)
downloadaports-631cd76a08a90fe22ccf064ee1cb38c73db482d7.tar.gz
aports-631cd76a08a90fe22ccf064ee1cb38c73db482d7.tar.bz2
aports-631cd76a08a90fe22ccf064ee1cb38c73db482d7.tar.xz
main/ocfs2-tools: upgrade to 1.6.4
Diffstat (limited to 'main/ocfs2-tools')
-rw-r--r--main/ocfs2-tools/APKBUILD24
-rw-r--r--main/ocfs2-tools/gcc45-ftbfs.patch21
-rw-r--r--main/ocfs2-tools/ocfs2-tools-1.6-operations-missing-include.patch10
3 files changed, 23 insertions, 32 deletions
diff --git a/main/ocfs2-tools/APKBUILD b/main/ocfs2-tools/APKBUILD
index e35f381694..cd2fb0a9f6 100644
--- a/main/ocfs2-tools/APKBUILD
+++ b/main/ocfs2-tools/APKBUILD
@@ -1,29 +1,29 @@
# Contributor:
# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
pkgname=ocfs2-tools
-pkgver=1.4.4
-pkgrel=4
+pkgver=1.6.4
+pkgrel=0
pkgdesc="Oracle Cluster File System 2 utilities"
url="http://oss.oracle.com/projects/ocfs2-tools"
arch="all"
license="GPL2"
depends=
-depends_dev="e2fsprogs-dev glib-dev readline-dev"
+depends_dev="e2fsprogs-dev glib-dev ncurses-dev readline-dev"
makedepends="$depends_dev"
install=
subpackages="$pkgname-dev $pkgname-doc"
-source="http://oss.oracle.com/projects/ocfs2-tools/dist/files/source/v1.4/$pkgname-$pkgver.tar.gz
- gcc45-ftbfs.patch
+source="http://oss.oracle.com/projects/ocfs2-tools/dist/files/source/v${pkgver%.*}/$pkgname-$pkgver.tar.gz
build.patch
$pkgname.initd
$pkgname.confd
- $pkgname.cluster-conf"
+ $pkgname.cluster-conf
+ ocfs2-tools-1.6-operations-missing-include.patch"
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
-
+ local i
for i in ../*.patch
do
msg "Applying patch $i"
@@ -32,6 +32,7 @@ prepare() {
sed -i 's%sys/raw.h%linux/raw.h%' fswreck/include/main.h || return 1
sed -i 's%sys/raw.h%linux/raw.h%' debugfs.ocfs2/include/main.h || return 1
+ sed -i 's%sys/raw.h%linux/raw.h%' o2info/operations.c || return 1
}
build() {
@@ -40,8 +41,9 @@ build() {
--sysconfdir=/etc \
--mandir=/usr/share/man \
--infodir=/usr/share/info \
- --enable-ocfs2console=no \
+ --enable-ocfs2console=yes \
--enable-dynamic-fsck=yes \
+ --enable-dynamic-ctl=yes \
--disable-glibtest || return 1
make -j1 || return 1
}
@@ -56,9 +58,9 @@ package() {
install -m644 -D "$srcdir"/$pkgname.cluster-conf "$pkgdir"/etc/ocfs2/cluster.conf
}
-md5sums="f7ae245e8baa499aa56d7af25a7885d5 ocfs2-tools-1.4.4.tar.gz
-5dba18ca5596b1de0f2eeb30f5ed1656 gcc45-ftbfs.patch
+md5sums="2e94423507b63fcc08f93c094e789be8 ocfs2-tools-1.6.4.tar.gz
c938040f0e77a4bb23e952c8f99b6cc5 build.patch
601fbd79acdc52a9046293aa977b1547 ocfs2-tools.initd
d81b6ab068ec92a137b58c9ad56c4637 ocfs2-tools.confd
-189e433cf001465f1565faae2e6e10ac ocfs2-tools.cluster-conf"
+189e433cf001465f1565faae2e6e10ac ocfs2-tools.cluster-conf
+f1d6bd7f02e69b31b8a103d18c7209f6 ocfs2-tools-1.6-operations-missing-include.patch"
diff --git a/main/ocfs2-tools/gcc45-ftbfs.patch b/main/ocfs2-tools/gcc45-ftbfs.patch
deleted file mode 100644
index 0db24f49e2..0000000000
--- a/main/ocfs2-tools/gcc45-ftbfs.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-diff -urN ocfs2-tools-1.4.3.orig//mount.ocfs2/mount.ocfs2.c ocfs2-tools-1.4.3/mount.ocfs2/mount.ocfs2.c
---- ocfs2-tools-1.4.3.orig//mount.ocfs2/mount.ocfs2.c 2009-04-14 00:10:40.000000000 +0200
-+++ ocfs2-tools-1.4.3/mount.ocfs2/mount.ocfs2.c 2010-03-24 07:23:45.000000000 +0100
-@@ -261,7 +261,7 @@
- char *extra = NULL;
- int dev_ro = 0;
- char *hbstr = NULL;
-- char stackstr[strlen(OCFS2_CLUSTER_STACK_ARG) + OCFS2_STACK_LABEL_LEN + 1] = "";
-+ char stackstr[strlen(OCFS2_CLUSTER_STACK_ARG) + OCFS2_STACK_LABEL_LEN + 1];
- ocfs2_filesys *fs = NULL;
- struct o2cb_cluster_desc cluster;
- struct o2cb_region_desc desc;
-@@ -269,6 +269,8 @@
- int hb_started = 0;
- struct stat statbuf;
-
-+ stackstr[0] = '\0';
-+
- initialize_ocfs_error_table();
- initialize_o2dl_error_table();
- initialize_o2cb_error_table();
diff --git a/main/ocfs2-tools/ocfs2-tools-1.6-operations-missing-include.patch b/main/ocfs2-tools/ocfs2-tools-1.6-operations-missing-include.patch
new file mode 100644
index 0000000000..c4e63122e3
--- /dev/null
+++ b/main/ocfs2-tools/ocfs2-tools-1.6-operations-missing-include.patch
@@ -0,0 +1,10 @@
+--- a/o2info/operations.c
++++ b/o2info/operations.c
+@@ -24,6 +24,7 @@
+ #include <errno.h>
+ #include <linux/raw.h>
+ #include <inttypes.h>
++#include <sys/ioctl.h>
+
+ #include "ocfs2/ocfs2.h"
+ #include "ocfs2/bitops.h"